Altibase.jdbc.driver.cm

## Class CmProtocolContextXA

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmProtocolContext
  - - Altibase.jdbc.driver.cm.CmProtocolContextXA

    public class CmProtocolContextXA
    extends CmProtocolContext

### Constructor Summary

Constructors
Constructor and Description
`CmProtocolContextXA(CmChannel aChannel, int aResourceManagerId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getResourceManagerId()`
`CmXAResult` `getXAResult()`
`CmXidResult` `getXidResult()`

### Methods inherited from class Altibase.jdbc.driver.cm.CmProtocolContext

`addCmResult, addError, channel, clearCmResult, clearError, getCmResult, getError, setChannel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CmProtocolContextXA

    public CmProtocolContextXA(CmChannel aChannel,
                               int aResourceManagerId)

### Method Detail

#### getXAResult

    public CmXAResult getXAResult()

#### getXidResult

    public CmXidResult getXidResult()

#### getResourceManagerId

    public int getResourceManagerId()